Public Member Functions | Public Attributes | List of all members
PowerPoint3OLEInternal::State Struct Reference

Internal: the state of a PowerPoint3OLE. More...

## Public Member Functions
| State (MWAWInputStreamPtr input, int vers)
| constructor More...

## Public Attributes
MWAWInputStreamPtr | m_input
| the input More...
int | m_version
| the version More...
shared_ptr< MWAWOLEParser > | m_oleParser
| the ole parser More...
std::set< std::string > | m_unparsedNameSet
| the list of unparsed zone More...

## Detailed Description

Internal: the state of a PowerPoint3OLE.

## Constructor & Destructor Documentation

## ◆ State()

PowerPoint3OLEInternal::State::State | ( | MWAWInputStreamPtr | input,
|  | int | vers
| ) |  |
| inline explicit

constructor

## Member Data Documentation

## ◆ m_input

MWAWInputStreamPtr PowerPoint3OLEInternal::State::m_input

the input

## ◆ m_oleParser

shared_ptr<MWAWOLEParser> PowerPoint3OLEInternal::State::m_oleParser

the ole parser

## ◆ m_unparsedNameSet

std::set<std::string> PowerPoint3OLEInternal::State::m_unparsedNameSet

the list of unparsed zone

## ◆ m_version

int PowerPoint3OLEInternal::State::m_version

the version

The documentation for this struct was generated from the following file:

- PowerPoint3OLE.cxx